Subject: Re: [PATCH 63/63] powerpc: Add pseries_le_defconfig

From: Michael Ellerman <[email-masked]>
Date: Fri, 9 Aug 2013 13:23:53 +1000

On Fri, Aug 09, 2013 at 09:12:37AM +1000, Michael Neuling wrote:
> Anton Blanchard <[email-masked]> wrote:
> 
> > 
> > Hi,
> > 
> > > The CONFIG_VIRTUALIZATION disabling should be done in the Kconfig not
> > > here. 
> > > 
> > > I'm not that keen on another defconfig.  benh is already talking about
> > > having a powernv defconfig.  I'm worried we are going to fragment the
> > > defconfigs.  If you want something special like LE, then change the
> > > default one.
> > 
> > I agree we don't want machine specific defconfigs, but I think it makes
> > sense to have ones that cover the key options that conflict. I'm
> > thinking 32bit, 64bit, 64bit BookE, 64bit LE etc.
> > 
> > One bonus is if we have a smaller set of defconfigs we might actually
> > get better testing. I have no idea which 32bit defconfigs I should test
> > for example, and I'm not going to test them all!
> 
> FWIW, I test with these configs and it seems to catch most of 32/64 bit,
> SMP/UP, differnt MMU issues:
> 
>   pseries_defconfig 
>   ppc64_defconfig 
>   ppc64e_defconfig 
>   pmac32_defconfig
>   ppc44x_defconfig 
>   ppc6xx_defconfig 
>   mpc85xx_smp_defconfig
>   mpc85xx_defconfig 
>   chroma_defconfig 

>   ps3_defconfig 
>   celleb_defconfig

I think cell_defconfig pretty much covers these too, and also gets you
coverage of the IBM blades.

And add randconfig too :)

cheers